# OgreImage.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgrePixelFormat.h"`
`#include "OgreDataStream.h"`

Go to the source code of this file.

## Classes

class | Ogre::Image
| Class representing an image file. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef vector< Image * >::type | Ogre::ImagePtrList
typedef vector< const Image * > ::type | Ogre::ConstImagePtrList

## Enumerations

enum | Ogre::ImageFlags { Ogre::IF_COMPRESSED = 0x00000001, Ogre::IF_CUBEMAP = 0x00000002, Ogre::IF_3D_TEXTURE = 0x00000004 }

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:52